<div class="checkout">
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-8">
                <div class="checkout-inner">
                    <div class="billing-address">
                        <h2>Billing Address</h2>
                        <div class="row">
                            <div class="col-md-6">
                                <label>First Name</label>
                                <input class="form-control" type="text" 
                                    placeholder="First Name">
                            </div>
                            <div class="col-md-6">
                                <label>Last Name"</label>
                                <input class="form-control"  type="text" placeholder="Last Name">
                            </div>
                            <div class="col-md-6">
                                <label>E-mail</label>
                                <input class="form-control"  type="text" placeholder="E-mail">
                            </div>
                            <div class="col-md-6">
                                <label>Mobile </label>
                                <input class="form-control"  type="text" placeholder="Mobile">
                            </div>
                            <div class="col-md-12">
                                <label>Address</label>
                                <input class="form-control"  type="text" placeholder="Address">
                            </div>
                            <form [formGroup]="form">
                                <div class="col-md-12">
                                    <label>Country</label>
                                    <select class="custom-select" formControlName="idcountry"
                                        (change)="getallcity($event)">
                                        <option selected=""></option>
                                        <option *ngFor="let c of country" [value]="c.id">{{c.name}}</option>
                                    </select>
                                </div>
                            </form>
                            <div class="col-md-6">
                                <label>City</label>
                                <select class="custom-select">
                                    <option selected=""></option>
                                    <option *ngFor="let c of city">{{c.name}}</option>
                                </select>
                            </div>
                            <div class="col-md-12">

                            </div>
                        </div>
                    </div>
                    <div 
                     class="col-md-12">
                        <p>Vous n'avez pas un compte ?</p>
                        <button class="btn" type="submit" [routerLink]="'/registree'">Create an Account</button>
                        <br><br>
                    </div>

                    
                </div>
            </div>

            <div class="col-lg-4">
                <div class="checkout-inner">
                    <div class="checkout-summary">
                        <h1>Cart Total</h1>
                        <p>Total promo<span>{{totalprixpromo}}</span></p>

                        <h2>Grand Total<span>{{totalprixpromo}} DT</span></h2>
                    </div>


                    <div class="checkout-payment">
                        <form [formGroup]="form">




                            <div class="payment-methods">
                                <h1>Payment Methods</h1>
                                <div class="payment-method">
                                <div  *ngFor="let modepai of listmodepaie">
                                   
                                    <!-- <label class="custom-control-label" for="payment-2">{{modepai.name}}</label> -->
                                    <label >
                                        <!-- <input type="radio" class="custom-control-input" id="modepaiement" formControlName="modepaiement" [value]="modepai.name">-->
                                        <input id="id_modepaiement" [value]='modepai.id' type="radio" formControlName="id_modepaiement" >
                                        {{modepai.name}}
                                      </label>
                                    </div>

                                </div>
                            </div>

                            <div class="payment-methods">

                              <h1>Delivery methods</h1>
                                <div class="payment-method">
                                    <div *ngFor="let enum of listmodeliv">
                                        <label >
                                          <input id="id_modelivraison"   [value]='enum.id' type="radio" formControlName="id_modelivraison" >
                                          {{enum.name}}
                                        </label>
                                      </div>

                                </div>

                            </div>
                            <div class="checkout-btn">
                                <button (click)="addCommande()">Place Order</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>